package info.bukova.isspst.services;

public class IsspstException extends RuntimeException {

	private static final long serialVersionUID = 1L;
	
	 private final static String MSG = "IS Exception. ";
	 private String reason;

	 public IsspstException() {
             super(MSG);
     }

     public IsspstException(String message) {
             super(MSG + message);
     }

     public IsspstException(Throwable cause) {
             super(cause);
     }

     public IsspstException(String message, Throwable cause) {
             super(MSG + message, cause);
     }

	public String getReason() {
		return reason;
	}

	protected void setReason(String reason) {
		this.reason = reason;
	}

}
